Subject: [Last-Call] Iotdir telechat review of draft-ietf-cbor-tags-oid-06

From: Ines Robles via Datatracker <[email-masked]>
Date: Tue, 06 Apr 2021 09:21:09 -0700

Reviewer: Ines Robles
Review result: Ready with Nits

Summary:

The document defines CBOR tags for object identifiers (OIDs).  The document is
well written.

Few minor questions/comments.

Major Issues: None

Minor Issues: None

Nits:

- It would be nice to expand SDNV in section 1.1 instead of Section 2.

- Section 3.2 - Figure 4-MIB relative object identifier in CBOR:

0b010_01001 should be 0b010_00011 ? for major type 2, additional information 3
bytes

- Section 7.1:

 -- In order to mention the registry, maybe smth like

  to assign the CBOR tags --> to assign in the CBOR tags registry the following
  tags....

 -- It would be nice to have the table with the same structure as the registry
 table (add reference column like in Section 7.2), I think template column does
 not apply here.

- Section 7.2:

-- In order to mention the registry, maybe smth similar as Section 7.1?

Thank you for this document,

Ines.

---

From: Carsten Bormann <[email-masked]>
Date: Tue, 6 Apr 2021 18:59:36 +0200

Hi Ines,

thank you for these comments!

Good catch with the 0b010_01001!  
I should know better (made the same kind of mistake in RFC 7049).

I actually kept in a second expansion of SDNV in Section 2; possibly the RFC editor will strike that, but I find it useful.

All the below are now in https://github.com/cbor-wg/cbor-oid/commit/9c90d8d

Grüße, Carsten

> On 2021-04-06, at 18:21, Ines Robles via Datatracker <[email-masked]> wrote:
> 
> Reviewer: Ines Robles

---

From: Ines Robles <[email-masked]>
Date: Tue, 6 Apr 2021 22:07:11 +0300

Thank you very much Carsten for addressing my comments

Liebe Grüße,

Ines

On Tue, Apr 6, 2021 at 7:59 PM Carsten Bormann <[email-masked]> wrote:

> I actually kept in a second expansion of SDNV in Section 2; possibly the
> RFC editor will strike that, but I find it useful.
>
> All the below are now in
> https://github.com/cbor-wg/cbor-oid/commit/9c90d8d
>
> Grüße, Carsten
>
>